diff --git a/pengine/test10/whitebox-nested-group.exp b/pengine/test10/whitebox-nested-group.exp
index 67767d3fd..e6b68f237 100644
--- a/pengine/test10/whitebox-nested-group.exp
+++ b/pengine/test10/whitebox-nested-group.exp
@@ -513,20 +513,20 @@
   </synapse>
   <synapse id="40">
     <action_set>
-      <rsc_op id="49" operation="monitor" operation_key="fake_fs_monitor_10000" on_node="c7auto1" on_node_uuid="1">
+      <rsc_op id="52" operation="monitor" operation_key="fake_fs_monitor_10000" on_node="c7auto1" on_node_uuid="1">
         <primitive id="fake_fs" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="48" operation="start" operation_key="fake_fs_start_0" on_node="c7auto1" on_node_uuid="1"/>
+        <rsc_op id="51" operation="start" operation_key="fake_fs_start_0" on_node="c7auto1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="41">
     <action_set>
-      <rsc_op id="48" operation="start" operation_key="fake_fs_start_0" on_node="c7auto1" on_node_uuid="1">
+      <rsc_op id="51" operation="start" operation_key="fake_fs_start_0" on_node="c7auto1" on_node_uuid="1">
         <primitive id="fake_fs" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -536,19 +536,19 @@
         <rsc_op id="9" operation="monitor" operation_key="fake_fs_monitor_0" on_node="c7auto1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <rsc_op id="16" operation="monitor" operation_key="fake_fs_monitor_0" on_node="c7auto2" on_node_uuid="2"/>
+        <rsc_op id="17" operation="monitor" operation_key="fake_fs_monitor_0" on_node="c7auto2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="23" operation="monitor" operation_key="fake_fs_monitor_0" on_node="c7auto3" on_node_uuid="3"/>
+        <rsc_op id="25" operation="monitor" operation_key="fake_fs_monitor_0" on_node="c7auto3" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <pseudo_event id="52" operation="start" operation_key="fake_group_start_0"/>
+        <pseudo_event id="55" operation="start" operation_key="fake_group_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="42">
     <action_set>
-      <rsc_op id="23" operation="monitor" operation_key="fake_fs_monitor_0" on_node="c7auto3" on_node_uuid="3">
+      <rsc_op id="25" operation="monitor" operation_key="fake_fs_monitor_0" on_node="c7auto3" on_node_uuid="3">
         <primitive id="fake_fs" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_on_node="c7auto3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -557,7 +557,7 @@
   </synapse>
   <synapse id="43">
     <action_set>
-      <rsc_op id="16" operation="monitor" operation_key="fake_fs_monitor_0" on_node="c7auto2" on_node_uuid="2">
+      <rsc_op id="17" operation="monitor" operation_key="fake_fs_monitor_0" on_node="c7auto2" on_node_uuid="2">
         <primitive id="fake_fs" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_on_node="c7auto2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -575,57 +575,93 @@
   </synapse>
   <synapse id="45">
     <action_set>
-      <rsc_op id="51" operation="monitor" operation_key="container_monitor_10000" on_node="c7auto1" on_node_uuid="1">
+      <rsc_op id="54" operation="monitor" operation_key="container_monitor_10000" on_node="c7auto1" on_node_uuid="1">
         <primitive id="container" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_remote_node="c7auto4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="50" operation="start" operation_key="container_start_0" on_node="c7auto1" on_node_uuid="1"/>
+        <rsc_op id="53" operation="start" operation_key="container_start_0" on_node="c7auto1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="46">
     <action_set>
-      <rsc_op id="50" operation="start" operation_key="container_start_0" on_node="c7auto1" on_node_uuid="1">
+      <rsc_op id="53" operation="start" operation_key="container_start_0" on_node="c7auto1" on_node_uuid="1">
         <primitive id="container" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_remote_node="c7auto4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="48" operation="start" operation_key="fake_fs_start_0" on_node="c7auto1" on_node_uuid="1"/>
+        <rsc_op id="51" operation="start" operation_key="fake_fs_start_0" on_node="c7auto1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="52" operation="start" operation_key="fake_group_start_0"/>
+        <pseudo_event id="55" operation="start" operation_key="fake_group_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="47">
     <action_set>
-      <rsc_op id="57" operation="monitor" operation_key="c7auto4_monitor_30000" on_node="c7auto1" on_node_uuid="1">
+      <rsc_op id="60" operation="monitor" operation_key="c7auto4_monitor_30000" on_node="c7auto1" on_node_uuid="1">
         <primitive id="c7auto4" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="56" operation="start" operation_key="c7auto4_start_0" on_node="c7auto1" on_node_uuid="1"/>
+        <rsc_op id="59" operation="start" operation_key="c7auto4_start_0" on_node="c7auto1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="48">
     <action_set>
-      <rsc_op id="56" operation="start" operation_key="c7auto4_start_0" on_node="c7auto1" on_node_uuid="1">
+      <rsc_op id="59" operation="start" operation_key="c7auto4_start_0" on_node="c7auto1" on_node_uuid="1">
         <primitive id="c7auto4" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container" CRM_meta_name="start" CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="50" operation="start" operation_key="container_start_0" on_node="c7auto1" on_node_uuid="1"/>
+        <rsc_op id="10" operation="monitor" operation_key="c7auto4_monitor_0" on_node="c7auto1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="c7auto4_monitor_0" on_node="c7auto2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="c7auto4_monitor_0" on_node="c7auto3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="53" operation="start" operation_key="container_start_0" on_node="c7auto1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="49">
+    <action_set>
+      <rsc_op id="26" operation="monitor" operation_key="c7auto4_monitor_0" on_node="c7auto3" on_node_uuid="3">
+        <primitive id="c7auto4" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container" CRM_meta_on_node="c7auto3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="50">
+    <action_set>
+      <rsc_op id="18" operation="monitor" operation_key="c7auto4_monitor_0" on_node="c7auto2" on_node_uuid="2">
+        <primitive id="c7auto4" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container" CRM_meta_on_node="c7auto2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="51">
+    <action_set>
+      <rsc_op id="10" operation="monitor" operation_key="c7auto4_monitor_0" on_node="c7auto1" on_node_uuid="1">
+        <primitive id="c7auto4" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container" CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
diff --git a/pengine/test10/whitebox-nested-group.summary b/pengine/test10/whitebox-nested-group.summary
index 6e6287ace..ca9c47f13 100644
--- a/pengine/test10/whitebox-nested-group.summary
+++ b/pengine/test10/whitebox-nested-group.summary
@@ -52,6 +52,9 @@ Executing cluster transition:
  * Resource action: fake_fs         monitor on c7auto3
  * Resource action: fake_fs         monitor on c7auto2
  * Resource action: fake_fs         monitor on c7auto1
+ * Resource action: c7auto4         monitor on c7auto3
+ * Resource action: c7auto4         monitor on c7auto2
+ * Resource action: c7auto4         monitor on c7auto1
  * Resource action: fake1           start on c7auto3
  * Resource action: fake3           start on c7auto2
  * Resource action: fake4           start on c7auto3
diff --git a/pengine/test10/whitebox-unexpectedly-running.dot b/pengine/test10/whitebox-unexpectedly-running.dot
index 2915d776e..0e2e5bb62 100644
--- a/pengine/test10/whitebox-unexpectedly-running.dot
+++ b/pengine/test10/whitebox-unexpectedly-running.dot
@@ -8,6 +8,8 @@
 "FAKE_stop_0 18builder" -> "stonith 'reboot' remote1" [ style = bold]
 "FAKE_stop_0 18builder" [ style=bold color="green" fontcolor="black"]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
+"remote1_monitor_0 18builder" -> "remote1_start_0 18builder" [ style = bold]
+"remote1_monitor_0 18builder" [ style=bold color="green" fontcolor="black"]
 "remote1_monitor_30000 18builder" [ style=bold color="green" fontcolor="black"]
 "remote1_start_0 18builder" -> "remote1_monitor_30000 18builder" [ style = bold]
 "remote1_start_0 18builder" [ style=bold color="green" fontcolor="black"]
diff --git a/pengine/test10/whitebox-unexpectedly-running.exp b/pengine/test10/whitebox-unexpectedly-running.exp
index 17606ce03..a0e5caed7 100644
--- a/pengine/test10/whitebox-unexpectedly-running.exp
+++ b/pengine/test10/whitebox-unexpectedly-running.exp
@@ -1,33 +1,33 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="4" operation="monitor" operation_key="FAKE_monitor_60000" on_node="18builder" on_node_uuid="5">
+      <rsc_op id="5" operation="monitor" operation_key="FAKE_monitor_60000" on_node="18builder" on_node_uuid="5">
         <primitive id="FAKE" class="ocf" provider="pacemaker" type="Dummy"/>
         <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="18builder" CRM_meta_on_node_uuid="5" CRM_meta_remote_node="remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="3" operation="start" operation_key="FAKE_start_0" on_node="18builder" on_node_uuid="5"/>
+        <rsc_op id="4" operation="start" operation_key="FAKE_start_0" on_node="18builder" on_node_uuid="5"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="3" operation="start" operation_key="FAKE_start_0" on_node="18builder" on_node_uuid="5">
+      <rsc_op id="4" operation="start" operation_key="FAKE_start_0" on_node="18builder" on_node_uuid="5">
         <primitive id="FAKE" class="ocf" provider="pacemaker" type="Dummy"/>
         <attributes CRM_meta_on_node="18builder" CRM_meta_on_node_uuid="5" CRM_meta_remote_node="remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="2" operation="stop" operation_key="FAKE_stop_0" on_node="18builder" on_node_uuid="5"/>
+        <rsc_op id="3" operation="stop" operation_key="FAKE_stop_0" on_node="18builder" on_node_uuid="5"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="2" operation="stop" operation_key="FAKE_stop_0" on_node="18builder" on_node_uuid="5">
+      <rsc_op id="3" operation="stop" operation_key="FAKE_stop_0" on_node="18builder" on_node_uuid="5">
         <primitive id="FAKE" class="ocf" provider="pacemaker" type="Dummy"/>
         <attributes CRM_meta_on_node="18builder" CRM_meta_on_node_uuid="5" CRM_meta_remote_node="remote1" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -36,33 +36,45 @@
   </synapse>
   <synapse id="3">
     <action_set>
-      <rsc_op id="6" operation="monitor" operation_key="remote1_monitor_30000" on_node="18builder" on_node_uuid="5">
+      <rsc_op id="7" operation="monitor" operation_key="remote1_monitor_30000" on_node="18builder" on_node_uuid="5">
         <primitive id="remote1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="FAKE" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="18builder" CRM_meta_on_node_uuid="5" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="5" operation="start" operation_key="remote1_start_0" on_node="18builder" on_node_uuid="5"/>
+        <rsc_op id="6" operation="start" operation_key="remote1_start_0" on_node="18builder" on_node_uuid="5"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <rsc_op id="5" operation="start" operation_key="remote1_start_0" on_node="18builder" on_node_uuid="5">
+      <rsc_op id="6" operation="start" operation_key="remote1_start_0" on_node="18builder" on_node_uuid="5">
         <primitive id="remote1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="FAKE" CRM_meta_name="start" CRM_meta_on_node="18builder" CRM_meta_on_node_uuid="5" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="3" operation="start" operation_key="FAKE_start_0" on_node="18builder" on_node_uuid="5"/>
+        <rsc_op id="2" operation="monitor" operation_key="remote1_monitor_0" on_node="18builder" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="start" operation_key="FAKE_start_0" on_node="18builder" on_node_uuid="5"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
     <action_set>
-      <pseudo_event id="8" operation="stonith" operation_key="stonith-remote1-reboot" on_node="remote1" on_node_uuid="remote1">
+      <rsc_op id="2" operation="monitor" operation_key="remote1_monitor_0" on_node="18builder" on_node_uuid="5">
+        <primitive id="remote1" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="FAKE" CRM_meta_on_node="18builder" CRM_meta_on_node_uuid="5" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="6">
+    <action_set>
+      <pseudo_event id="9" operation="stonith" operation_key="stonith-remote1-reboot" on_node="remote1" on_node_uuid="remote1">
         <attributes CRM_meta_on_node="remote1" CRM_meta_on_node_uuid="remote1" CRM_meta_stonith_action="reboot" />
         <downed>
           <node id="remote1"/>
@@ -71,23 +83,23 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="2" operation="stop" operation_key="FAKE_stop_0" on_node="18builder" on_node_uuid="5"/>
+        <rsc_op id="3" operation="stop" operation_key="FAKE_stop_0" on_node="18builder" on_node_uuid="5"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="6">
+  <synapse id="7">
     <action_set>
-      <pseudo_event id="7" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="8" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="8" operation="stonith" operation_key="stonith-remote1-reboot" on_node="remote1" on_node_uuid="remote1"/>
+        <pseudo_event id="9" operation="stonith" operation_key="stonith-remote1-reboot" on_node="remote1" on_node_uuid="remote1"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="7">
+  <synapse id="8">
     <action_set>
       <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped">
         <attributes />
@@ -95,10 +107,10 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="2" operation="stop" operation_key="FAKE_stop_0" on_node="18builder" on_node_uuid="5"/>
+        <rsc_op id="3" operation="stop" operation_key="FAKE_stop_0" on_node="18builder" on_node_uuid="5"/>
       </trigger>
       <trigger>
-        <pseudo_event id="7" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="8" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
diff --git a/pengine/test10/whitebox-unexpectedly-running.summary b/pengine/test10/whitebox-unexpectedly-running.summary
index 7d5b90817..0b5ca423c 100644
--- a/pengine/test10/whitebox-unexpectedly-running.summary
+++ b/pengine/test10/whitebox-unexpectedly-running.summary
@@ -10,6 +10,7 @@ Transition Summary:
 
 Executing cluster transition:
  * Resource action: FAKE            stop on 18builder
+ * Resource action: remote1         monitor on 18builder
  * Pseudo action:   stonith-remote1-reboot on remote1
  * Pseudo action:   stonith_complete
  * Pseudo action:   all_stopped
